gstreamermm: Gst::ColorBalance Class Reference

gstreamermm 1.10.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::ColorBalance Class Reference
gstreamermm Interfaces

An interface for adjusting color balance settings. More...

`#include <gstreamermm/colorbalance.h>`

Inheritance diagram for Gst::ColorBalance:
[legend]

## Public Member Functions
| ColorBalance (ColorBalance&& src) noexcept
ColorBalance& | operator= (ColorBalance&& src) noexcept
| ~ColorBalance () noexcept override
GstColorBalance* | gobj ()
| Provides access to the underlying C GObject. More...
const GstColorBalance* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ListHandle< Glib::RefPtr< Gst::ColorBalanceChannel > > | list_channels ()
| Retrieve a list of the available channels. More...
Glib::ListHandle< Glib::RefPtr< const Gst::ColorBalanceChannel > > | list_channels () const
| Retrieve a list of the available channels. More...
int | get_value (const Glib::RefPtr< const Gst::ColorBalanceChannel >& channel) const
| Retrieve the current value of the indicated channel, between min_value and max_value. More...
void | set_value (const Glib::RefPtr< Gst::ColorBalanceChannel >& channel, int value)
| Sets the current value of the channel to the passed value, which must be between min_value and max_value. More...
void | value_changed (const Glib::RefPtr< Gst::ColorBalanceChannel >& channel, int value)
| A helper function called by implementations of the GstColorBalance interface. More...
Gst::ColorBalanceType | get_balance_type () const
| Get the Gst::ColorBalanceType of this implementation. More...
Glib::SignalProxy< void, const Glib::RefPtr< Gst::ColorBalanceChannel >&, int > | signal_value_changed ()
virtual Glib::ListHandle< Glib::RefPtr< Gst::ColorBalanceChannel > > | list_channels_vfunc () const
| Lists the channels of the Gst::ColorBalance. More...
virtual void | set_value_vfunc (const Glib::RefPtr< Gst::ColorBalanceChannel >& channel, int value)
| Sets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance. More...
virtual int | get_value_vfunc (const Glib::RefPtr< const Gst::ColorBalanceChannel >& channel) const
| Gets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance. More...
virtual Gst::ColorBalanceType | get_balance_type_vfunc ()
| Gets the implementation type. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| ColorBalance ()
| You should derive from this class to use it. More...
virtual void | on_value_changed (const Glib::RefPtr< Gst::ColorBalanceChannel >& channel, int value)
| This is a default handler for the signal signal_value_changed(). More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::ColorBalance > | wrap (GstColorBalance* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

An interface for adjusting color balance settings.

This interface is implemented by elements which can perform some color balance operation on video frames they process. For example, modifying the brightness, contrast, hue or saturation.

Example elements are 'xvimagesink' and 'colorbalance'.

Last reviewed on 2016-05-16 (1.8.0)

## Constructor & Destructor Documentation

## ◆ ColorBalance() [1/2]

Gst::ColorBalance::ColorBalance | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ ColorBalance() [2/2]

Gst::ColorBalance::ColorBalance | ( | ColorBalance&& | src | ) |
| noexcept

## ◆ ~ColorBalance()

Gst::ColorBalance::~ColorBalance | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gst::ColorBalance::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_balance_type()

Gst::ColorBalanceType Gst::ColorBalance::get_balance_type | ( |  | ) | const

Get the Gst::ColorBalanceType of this implementation.

Returns
  A the Gst::ColorBalanceType.

## ◆ get_balance_type_vfunc()

virtual Gst::ColorBalanceType Gst::ColorBalance::get_balance_type_vfunc | ( |  | ) |
| virtual

Gets the implementation type.

## ◆ get_type()

static GType Gst::ColorBalance::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_value()

int Gst::ColorBalance::get_value | ( | const Glib::RefPtr< const Gst::ColorBalanceChannel >& | channel | ) | const

Retrieve the current value of the indicated channel, between min_value and max_value.

See Also: The Gst::ColorBalanceChannel.min_value and Gst::ColorBalanceChannel.max_value members of the Gst::ColorBalanceChannel object.

Parameters

  channel | A Gst::ColorBalanceChannel instance.

Returns
  The current value of the channel.

## ◆ get_value_vfunc()

virtual int Gst::ColorBalance::get_value_vfunc | ( | const Glib::RefPtr< const Gst::ColorBalanceChannel >& | channel | ) | const
| virtual

Gets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance.

## ◆ gobj() [1/2]

GstColorBalance* Gst::ColorBalance::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GstColorBalance* Gst::ColorBalance::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ list_channels() [1/2]

Glib::ListHandle< Glib::RefPtr<Gst::ColorBalanceChannel> > Gst::ColorBalance::list_channels | ( |  | ) |

Retrieve a list of the available channels.

Returns
  A GList containing pointers to Gst::ColorBalanceChannel objects. The list is owned by the Gst::ColorBalance instance and must not be freed.

## ◆ list_channels() [2/2]

Glib::ListHandle< Glib::RefPtr<const Gst::ColorBalanceChannel> > Gst::ColorBalance::list_channels | ( |  | ) | const

Retrieve a list of the available channels.

Returns
  A GList containing pointers to Gst::ColorBalanceChannel objects. The list is owned by the Gst::ColorBalance instance and must not be freed.

## ◆ list_channels_vfunc()

virtual Glib::ListHandle< Glib::RefPtr<Gst::ColorBalanceChannel> > Gst::ColorBalance::list_channels_vfunc | ( |  | ) | const
| virtual

Lists the channels of the Gst::ColorBalance.

## ◆ on_value_changed()

virtual void Gst::ColorBalance::on_value_changed | ( | const Glib::RefPtr< Gst::ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_value_changed().

## ◆ operator=()

ColorBalance& Gst::ColorBalance::operator= | ( | ColorBalance&& | src | ) |
| noexcept

## ◆ set_value()

void Gst::ColorBalance::set_value | ( | const Glib::RefPtr< Gst::ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |

Sets the current value of the channel to the passed value, which must be between min_value and max_value.

See Also: The Gst::ColorBalanceChannel.min_value and Gst::ColorBalanceChannel.max_value members of the Gst::ColorBalanceChannel object.

Parameters

  channel | A Gst::ColorBalanceChannel instance.
  value | The new value for the channel.

## ◆ set_value_vfunc()

virtual void Gst::ColorBalance::set_value_vfunc | ( | const Glib::RefPtr< Gst::ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |
| virtual

Sets the value of a Gst::ColorBalanceChannel of the Gst::ColorBalance.

## ◆ signal_value_changed()

Glib::SignalProxy< void,const Glib::RefPtr<Gst::ColorBalanceChannel>&,int > Gst::ColorBalance::signal_value_changed | ( |  | ) |

Slot Prototype:
  `void on_my_value_changed(const Glib::RefPtr<Gst::ColorBalanceChannel>& channel, int value)`

Flags: Run Last

Fired when the value of the indicated channel has changed.

Parameters

  channel | The Gst::ColorBalanceChannel.
  value | The new value.

## ◆ value_changed()

void Gst::ColorBalance::value_changed | ( | const Glib::RefPtr< Gst::ColorBalanceChannel >& | channel,
|  | int | value
| ) |  |

A helper function called by implementations of the GstColorBalance interface.

It fires the Gst::ColorBalance::signal_value_changed() signal on the instance, and the Gst::ColorBalanceChannel::signal_value_changed() signal on the channel object.

Parameters

  channel | A Gst::ColorBalanceChannel whose value has changed.
  value | The new value of the channel.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::ColorBalance > wrap | ( | GstColorBalance * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.